package itplace.example.webapp1;

import itplace.example.core.ServiceLocator;
import itplace.example.core.ServiceLocatorImpl;

import java.io.IOException;
import java.io.PrintWriter;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class HelloServlet
 */
public class HelloServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;

    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/plain");

        Context initialContext;
        try {
            initialContext = new InitialContext();
            ServiceLocator serviceLocator = (ServiceLocator) initialContext.lookup("java:comp/env/serviceLocator");
            PrintWriter out = response.getWriter();
            String message = serviceLocator.getHelloService().getHelloMessage("ITPlace");
            out.println("HelloServlet: " + message);
        } catch (NamingException e) {
            throw new ServletException(e);
        }
        

    }

}
